## org.apache.axis.transport.http
Class ChunkedInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              org.apache.axis.transport.http.ChunkedInputStream

public class ChunkedInputStream
extends java.io.FilterInputStream

Author:
  Rick Rineholt

Field Summary
`protected long` `chunkSize`
`protected boolean` `closed`

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`ChunkedInputStream(java.io.InputStream is)`

Method Summary
`int` `available()`
`void` `close()`
`protected long` `getChunked()`
`boolean` `markSupported()`
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`
`void` `reset()`
`long` `skip(long n)`

Methods inherited from class java.io.FilterInputStream
`mark`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### chunkSize

    protected long chunkSize

### closed

    protected volatile boolean closed

Constructor Detail

### ChunkedInputStream

    public ChunkedInputStream(java.io.InputStream is)

Method Detail

### read

    public int read()
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Throws:
    `java.io.IOException`

### skip

    public long skip(long n)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### available

    public int available()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getChunked

    protected long getChunked()
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### reset

    public void reset()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### markSupported

    public boolean markSupported()

Copyright © 2005 Apache Web Services Project. All Rights Reserved.